#ifndef XCLEAF_H
#define XCLEAF_H

#include "xasset.h"

#include <QVector3D>

class XCLeaf : public XAsset
{
public:
    explicit XCLeaf();
    ~XCLeaf();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mFirstCollAabbIndex;
    quint32 mCollAabbCount;
    qint32 mBrushContents;
    qint32 mTerrainContents;
    QVector3D mMins;
    QVector3D mMaxs;
    qint32 mLeafBrushNode;
    qint16 mCluster;
};

#endif // XCLEAF_H
